using System;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;

using System.Data;
using System.Configuration;
using System.Web.Security;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using Telerik.Web.UI;
using System.Data.SqlClient;

public partial class Default : System.Web.UI.Page 
{
    protected void Page_Load(object sender, EventArgs e)
    {

    }


	

	
	public DataTable GetDataTable(string query)
	{
		String ConnString = ConfigurationManager.ConnectionStrings["TelerikConnectionString"].ConnectionString;
		SqlConnection conn = new SqlConnection(ConnString);
		SqlDataAdapter adapter = new SqlDataAdapter();
		adapter.SelectCommand = new SqlCommand(query, conn);

		DataTable myDataTable = new DataTable();

		conn.Open();
		try
		{
			adapter.Fill(myDataTable);
		}
		finally
		{
			conn.Close();
		}

		return myDataTable;
	}

	protected void RadPivotGrid1_NeedDataSource(object sender, PivotGridNeedDataSourceEventArgs e)
	{


		RadPivotGrid2.DataSource = GetDataTable("SELECT * FROM Transportation");
	}
}
